Bug 744561 - gedit logout dialog interferes with gnome-shell logout dialog
gedit logout dialog interferes with gnome-shell logout dialog
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
16
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-09 07:27 EDT by Lars Hamann
Modified: 2013-02-13 16:46 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 16:46:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
two dialogs during logout (131.35 KB, image/png)
2011-10-09 07:28 EDT, Lars Hamann
no flags Details

  None (edit)
Description Lars Hamann 2011-10-09 07:27:11 EDT
Description of problem:

logging out of a gnome3 session while gedit has an open document with unsaved changes, i get two logout dialogs - one from gnome-shell one from gedit.
Both dialogs interfere with each other. I.e. to actually logout of the session, I have to click logout(gnome-shell), logout(gedit). But a rich permutation of possibilities is available. E.g. clicking logout(gnome-shell), cancel(gedit) I get a third dialog from gnome-shell. Clicking logout in that dialog I'm still logged in the session but the desktop stays dimmed an the panel is unusable.
The only option left is to kill the x11-server using ctrl-alt-bs.

Version-Release number of selected component (if applicable):

gedit-3.2.0-1.fc16.x86_64
gnome-shell-3.2.0-2.fc16.x86_64

How reproducible:

every time

Steps to Reproduce:
1. log into gnome3 session
2. open gedit
3. make a few changes in the new document
4. logout
  
Actual results:

Get two logout dialogs - one from gnome-shell one from gedit.

Expected results:

Should get only the gnome-shell logout dialog.

Additional info:
Comment 1 Lars Hamann 2011-10-09 07:28:38 EDT
Created attachment 527089 [details]
two dialogs during logout
Comment 2 Fedora End Of Life 2013-01-16 12:16:13 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2013-02-13 16:46:19 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.